<template>
  <v-app>
    <v-container>
      <v-layout row wrap align-center justify-center>
        <v-card>
          <v-card-title>Sign In</v-card-title>
          <v-card-text>If you don't have a sign in, please contact the creator.</v-card-text>
          <v-card-actions>
            <v-text-field
              label="email"
              type="email"
              v-model="email"
              required
            ></v-text-field>
            <v-text-field
              label="password"
              type="password"
              v-model="password"
              required
            ></v-text-field>
            <v-btn
              color="warning"
              @click="login"
            >Login</v-btn>
          </v-card-actions>
        </v-card>
      </v-layout>
    </v-container>
  </v-app>
</template>
<script>
import firebase from 'firebase'
export default {
  layout: 'blank',
  data: () => ({
    email: '',
    password: ''
  }),
  methods: {
    signup () {
      firebase
        .auth()
        .createUserWithEmailAndPassword(this.email, this.password)
        .then(
          function (user) {
            alert('Your account has been created')
          },
          function (err) {
            alert('Oops. ' + err.message)
          }
        )
    },
    login () {
      firebase
        .auth()
        .signInWithEmailAndPassword(this.email, this.password)
        .then(
          function (user) {
            window.location.replace('/')
          },
          function (err) {
            alert('Oops. ' + err.message)
          }
        )
    }
  }
}
</script>